Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.apache.xerces.impl
Class XMLEntityManager.ExternalEntity

    java.lang.Object
      weblogic.apache.xerces.impl.XMLEntityManager.Entity
          weblogic.apache.xerces.impl.XMLEntityManager.ExternalEntity

Enclosing class:
  XMLEntityManager

protected static class XMLEntityManager.ExternalEntity
extends XMLEntityManager.Entity

External entity.

Field Summary
`XMLResourceIdentifier` | `entityLocation` container for all relevant entity location information.
`String` | `notation` Notation name for unparsed entity.

Fields inherited from class weblogic.apache.xerces.impl.XMLEntityManager.Entity
`name`

Constructor Summary
`XMLEntityManager.ExternalEntity()` Default constructor.
`XMLEntityManager.ExternalEntity(String name, XMLResourceIdentifier entityLocation, String notation)` Constructs an internal entity.

Method Summary
`void` | `clear()` Clears the entity.
`boolean` | `isExternal()` Returns true if this is an external entity.
`boolean` | `isUnparsed()` Returns true if this is an unparsed entity.
`void` | `setValues(XMLEntityManager.Entity entity)` Sets the values of the entity.
`void` | `setValues(XMLEntityManager.ExternalEntity entity)` Sets the values of the entity.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### entityLocation

    public XMLResourceIdentifier entityLocation

  container for all relevant entity location information.

### notation

    public String notation

  Notation name for unparsed entity.

Constructor Detail

### XMLEntityManager.ExternalEntity

    public XMLEntityManager.ExternalEntity()

  Default constructor.

### XMLEntityManager.ExternalEntity

    public XMLEntityManager.ExternalEntity(String name,
                                           XMLResourceIdentifier entityLocation,
                                           String notation)

  Constructs an internal entity.

Method Detail

### clear

    public void clear()

  Clears the entity.

  Overrides:
    `clear` in class `XMLEntityManager.Entity`

### isExternal

    public final boolean isExternal()

  Returns true if this is an external entity.

  Specified by:
    `isExternal` in class `XMLEntityManager.Entity`

### isUnparsed

    public final boolean isUnparsed()

  Returns true if this is an unparsed entity.

  Specified by:
    `isUnparsed` in class `XMLEntityManager.Entity`

### setValues

    public void setValues(XMLEntityManager.Entity entity)

  Sets the values of the entity.

  Overrides:
    `setValues` in class `XMLEntityManager.Entity`

### setValues

    public void setValues(XMLEntityManager.ExternalEntity entity)

  Sets the values of the entity.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD